Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.common.util.concurrent
Class ForwardingFuture.SimpleForwardingFuture<V>

    java.lang.Object
      com.google.common.collect.ForwardingObject
          com.google.common.util.concurrent.ForwardingFuture<V>
              com.google.common.util.concurrent.ForwardingFuture.SimpleForwardingFuture<V>

All Implemented Interfaces:
  Future<V>

Enclosing class:
  ForwardingFuture<V>

    public abstract static class ForwardingFuture.SimpleForwardingFuture<V>

extends ForwardingFuture<V>

A simplified version of `ForwardingFuture` where subclasses can pass in an already constructed `Future` as the delegate.

Since:
  9.0

Nested Class Summary

Nested classes/interfaces inherited from class com.google.common.util.concurrent.ForwardingFuture
`ForwardingFuture.SimpleForwardingFuture<V>`

Constructor Summary
`protected` | `ForwardingFuture.SimpleForwardingFuture(Future<V> delegate)`

Method Summary
`protected Future<V>` | `delegate()` Returns the backing delegate instance that methods are forwarded to.

Methods inherited from class com.google.common.util.concurrent.ForwardingFuture
`cancel, get, get, isCancelled, isDone`

Methods inherited from class com.google.common.collect.ForwardingObject
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ForwardingFuture.SimpleForwardingFuture

    protected ForwardingFuture.SimpleForwardingFuture(Future<V> delegate)

Method Detail

### delegate

    protected final Future<V> delegate()

  Description copied from class: `ForwardingObject`
  Returns the backing delegate instance that methods are forwarded to. Abstract subclasses generally override this method with an abstract method that has a more specific return type, such as `ForwardingSet.delegate()`. Concrete subclasses override this method to supply the instance being decorated.

  Specified by:
    `delegate` in class `ForwardingFuture<V>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2011. All Rights Reserved.